
QGIS Application - Bug report #7194

Print layout: tab partially shown

2013-02-20 10:49 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16240

Description

When starting a new layout, the item properties tab is not shown entirely, and it has to be enlarged.

There are three things that need addressed here:

1) Slim down all options so their width is a set reasonable minimum (some item properties are unnecessarily wider than others)

2) Ensure the Item Properties panel starts with appropriate width to accommodate the width of all individual item properties (this means

either defining appropriate splitter size for the panels area, or having something in that panel fixed at the defined width)

3) Test on laptops to ensure reasonable defaults

History

#1 - 2013-03-03 01:47 AM - Larry Shaffer

- Status changed from Open to Feedback

- Target version set to Version 2.0.0

Please test with the following commits:

https://github.com/qgis/Quantum-GIS/compare/95bcc7f449db...32afcc29b126

I have tested with Mac 10.7.5, Win7 and Ubuntu (Unity), and for as small as 1024 x 768 screen resolution.

#2 - 2014-06-23 08:18 AM - Paolo Cavallini

Much better now, but still some tweaking would be good.

#3 - 2014-06-23 08:18 AM - Paolo Cavallini

- Priority changed from Normal to Low

#4 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-05-22 12:39 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
https://github.com/qgis/Quantum-GIS/compare/95bcc7f449db...32afcc29b126


seems fixed to me even at 1024x768.
